Subject: Re: CCL:Autodock and Rigid Body Docking

From: Dominique Vlieghe <Dominique.Vlieghe/at/dmbr.UGent.be>
Date: 15 Sep 2003 08:58:30 +0200

Hi Chris,

In AutoDock, the ligand is made flexible by defining the torsion angles
that should vary. If you chose 0 torsion angles, your ligand would be
regarded as being rigid. Furthermore, you can chose whichever torsion
angle you desire to be kept flexible, as long as you do not have more
than 32. This means about 8-16 side chains, depending on their size. Of
course, the target will always be rigid...

Someone else replied to you that ZDock is a good tool to do
protein-protein docking. I agree with him when the two proteins have
conformation very similar to the bound conformations. The perfomance
however drops considerably when you work with homology models. I must
say that I did not test RDock yet.

Anyhow, I asked the more-or-less same question some time ago, and I got
some rather nice responses. I have included the one I got from  Garrett
Morris: 

> > * A general question:
> > I was wondering whether AutoDock is suitable for studying
> > protein-protein interactions. In principle it is, but speed is the
> > practical limitation I presume. Does anyone have experience with this?
> 
> AutoDock was designed to dock flexible small molecules to  
> macromolecules, but I must admit to being pleasantly surprised to  
> discover that we have been able to use AutoDock successfully to perform  
> protein-protein docking. See, for example:
> 
> Legge, G. B., G. M. Morris, et al. (2002). "Model of the alphaLbeta2  
> integrin I-domain/ICAM-1 DI interface suggests that subtle changes in  
> loop orientation determine ligand specificity." Proteins 48(2): 151-60.
> 
> Ollmann-Saphire, E., P. W. H. I. Parren, et al. (2001). "Crystal  
> Structure of a Neutralizing Human IgG Against HIV-1: a Template for  
> Vaccine Design." Science 293(5532): 1155-9.
> 
> In these kinds of dockings, we compute grid maps with a spacing of 1C   
> and dimensions of 126C  * 126C  * 126C  around the entire protein we are  
> docking to. The intention is to let the moving protein see the entire  
> surface of the fixed protein, and to allow enough room around the fixed  
> protein for the moving protein to fit within the grid.
> 
> It is possible to allow selected sidechains in the moving protein to  
> change conformation during the docking, but these must be chosen within  
> the limit of the number torsions (32 by default). Which ones you choose  
> is an interesting question.
> 
> There is a limit on the number of atoms in the moving molecule (2048, a  
> relic of the AutoDock source code's Fortran roots).  This means if your  
> protein is very large (like the entire b12 antibody) you must truncate  
> the moving molecule to the domain(s) of interest. Alternatively, if you  
> have enough RAM on your machine, you can re-compile AutoDock with  a  
> larger number of atoms ("MAX_ATOMS" in the "constants.h" file).  Note  
> also that the more atoms there are to move during a docking, the longer  
> it will take to finish.
> 
> One other thing to remember: for small molecule docking in AutoDock 3,  
> we use a small positive constant energy term in the hydrogen-bonding  
> (polar H and O) maps, that is designed to act as a penalty for any  
> hydrogen bonds not formed upon binding: a potential hydrogen bonding  
> atom that is in a hydrophobic, non-polar pocket is assumed to have lost  
> a hydrogen bond that it had before binding.  This works well for small  
> molecules, but for proteins, which have hydrogen bonds _within_ their  
> structures both before and after binding, this one-size-fits-all  
> approach over-penalizes the polar H and O within the structures already  
> involved in hydrogen bonding.  Thus, for proteins, mini-proteins and  
> other large macromolecules, we set these constants to zero. This is  
> done using the "constant" keyword in the GPF (grid parameter file).  We  
> are addressing this simplification in future versions of AutoDock.
> 
> I should make clear, it is not feasible to use AutoDock to dock a  
> protein-sized molecule with all possible torsions treated as rotatable:  
> aside from being computationally prohibitive with today's hardware, the  
> search space is vast, and not even Lamarckian Genetic Algorithms can  
> help.  A reduced atom approach, on-lattice approximations and other  
> tricks are needed, and you start to enter protein folding territory.
> 
> Our graphical user interface to AutoDock, ADT (AutoDockTools), also has  
> a way to set up a protein using the "Ligand" menu (it involves  
> selecting the residues you'd like to be flexible before choosing the  
> rotatable bonds).
> 
> >
> > * a more specific question:
> > A way of circumventing a huge grid would be to use a smaller grid
> > (assuming that the interacting residues must be 'close' to the  
> > receptor)
> > and setting the extnrg parameters to 0.0 kcal mol-1 (meaning that atoms
> > outside the grid would feel no field). Is this a correct assumption?
> > Would this speed up the calculations?
> 
> It could speed up the calculations (the energy calculation is O(N)  
> where N is the number of atoms in the moving molecule). There is also a  
> distance-dependent energy penalty for any atoms outside the grid box,  
> that is proportional to the sum of all the squares of the distances of  
> the atoms outside the grid to the centre of the grid. This is necessary  
> to drive 'escaping' molecules back towards the fixed molecule. I  
> haven't tried what you suggested, suspecting that the dockings will  
> give very high, positive energies, but I would encourage you to try and  
> see what happens.
> 
> >
> > Furthermore, are there other ways of avoiding the calculation of
> > interactions involving ligand atoms that are too far away from the
> > receptor? This would make sense, because in P-P interaction only a
> > 'small' number of residues normally contribute to the interaction. Are
> > they any ways of doing this in AutoDock?
> >
> 
> There is a non-bonded list in the AutoGrid calculation, but not in  
> AutoDock for the moving molecule: updating this during the docking  
> would slow down the calculation dramatically, and for small molecules,  
> the benefit did not out weight the cost. For proteins, there are tricks  
> you can play, and we are investigating them for future versions of  
> AutoDock. The simplest idea is to truncate the moving protein structure  
> manually before docking, but this introduces both 'prior knowledge' and  
> an artificial interface. It might be possible to 'hollow out' the  
> moving protein, but I fear this could deleteriously affect the  
> character of its electrostatic potential.

On Sat, 2003-09-13 at 18:13, Chris Arthur wrote:
> Hi
> 
> I would like to try to dock a small protein (88aa) to a larger one (300ish
> aa) - now I know autodock is really designed for small molecules but i was
> wondering if there was any way to get it to essentially run a rigid body
> dock of these two together? and if so, how i would go about it? or if thats
> not possible to limit the flexibility of the small protein so that only
> considers side chain rotation/flexibility and not the whole protein
> 
> Thanks in advance
> 
> Chris
> 
> 
> -= This is automatically added to each message by the mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your Subject: line
> and send your message to:  CHEMISTRY/at/ccl.net
> 
> Send your subscription/unsubscription requests to: CHEMISTRY-REQUEST/at/ccl.net 
> HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs
> 
> If your mail is bouncing from CCL.NET domain send it to the maintainer:
> Jan Labanowski,  jkl/at/ccl.net (read about it on CCL Home Page)
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> 

Regards,

Dominique

-- 
------------------------------
Dominique Vlieghe, Ph.D.,
Bioinformatics Core,
Department for Molecular Biomedical Research (DMBR)
VIB - Ghent University
(new) 'Fiers-Schell-Van Montagu' building
(new) Technologiepark 927
(new) B-9052 Ghent (Zwijnaarde), Belgium

(new) Tel : +32-(0)9-33-13.693
(new) Fax : +32-(0)9-33-13.609
(new) email:dominique.vlieghe/at/dmbr.ugent.be
(new) www:http://www.dmbr.ugent.be/
------------------------------